/**
 * SPDX-FileCopyrightText: Copyright 2023 Open Mobile Platform LLC <community@omp.ru>
 * SPDX-License-Identifier: BSD-3-Clause
 */
#ifndef TEXTURE_CAMERA_EGL_HELPER_H
#define TEXTURE_CAMERA_EGL_HELPER_H

#include <streamcamera/streamcamera.h>

#include <EGL/egl.h>
#include <EGL/eglext.h>

class TextureCameraEGLHelper
{
public:
    static void EGLInit();
    static EGLImageKHR EGLCreateImage(std::shared_ptr<Aurora::StreamCamera::GraphicBuffer> buffer);
    static void EGLDestroyImage(EGLImageKHR image);
};

#endif /* TEXTURE_CAMERA_EGL_HELPER_H */
