/**
 * SPDX-FileCopyrightText: Copyright 2023 Open Mobile Platform LLC <community@omp.ru>
 * SPDX-License-Identifier: BSD-3-Clause
 */
#ifndef TEXTURE_CAMERA_PIXELS_HELPER_H
#define TEXTURE_CAMERA_PIXELS_HELPER_H

#include <flutter/plugin-interface.h>
#include <streamcamera/streamcamera.h>

#include <QImage>
#include <QtCore>

class TextureCameraPixelsHelper
{
public:
    static QImage *YUVtoARGB(std::shared_ptr<const Aurora::StreamCamera::YCbCrFrame> frame);

private:
    static quint32 yuvToArgb(qint32 y, qint32 rv, qint32 guv, qint32 bu, qint32 a);
    static void planarYuv420ToArgb(const uchar *y,
                                   const uchar *u,
                                   const uchar *v,
                                   qint32 yStride,
                                   qint32 uStride,
                                   qint32 vStride,
                                   qint32 uvPixelStride,
                                   quint32 *rgb,
                                   qint32 width,
                                   qint32 height);
};

#endif /* TEXTURE_CAMERA_PIXELS_HELPER_H */
