// SPDX-FileCopyrightText: Copyright 2023 Open Mobile Platform LLC <community@omp.ru>
// SPDX-License-Identifier: BSD-3-Clause

enum OrientationEvent {
  /// The orientation is unknown.
  undefined,

  /// The Top edge of the device is pointing up.
  topUp,

  /// The Top edge of the device is pointing down.
  topDown,

  /// The Left edge of the device is pointing up.
  leftUp,

  /// The Right edge of the device is pointing up.
  rightUp,

  /// The Face of the device is pointing up.
  faceUp,

  /// The Face of the device is pointing down.
  faceDown
}
